Skip to main content
GET
Get transaction by external reference ID

Authorizations

x-api-key
string
header
required

API key for service-to-service or merchant authentication.

Headers

x-correlation-id
string<uuid>

Unique identifier for request tracing. Generated by the client or server if not provided.

Example:

"550e8400-e29b-41d4-a716-446655440000"

Path Parameters

externalReferenceId
string
required

External reference ID of the transaction (operation ID)

Example:

"payment_123456789"

Response

Transaction details.

A settlement transaction record

id
string<uuid>
required

Unique transaction identifier

Example:

"7c9e6679-7425-40de-944b-e07fc1f90ae7"

amount
integer
required

Transaction amount in minor units

Required range: x >= 0
Example:

100000

currency
string
required

Currency code (ISO 4217)

Required string length: 3
Pattern: ^[A-Z]{3}$
Example:

"USD"

external_reference_id
string
required

External reference ID - unique ID for the payment transaction or transfer from ledger

Example:

"payment_123456789"

status
required

Transaction is pending settlement

Allowed value: "PENDING"
created_at
string<date-time>
required

Creation timestamp

Example:

"2024-01-01T00:00:00.000Z"

updated_at
string<date-time>
required

Last update timestamp

Example:

"2024-01-01T00:00:00.000Z"

settled_amount
integer

Settled amount in minor units (calculated as total amount minus fees)

Required range: x >= 0
Example:

95000

settlement_window_id
string<uuid>

Settlement window ID assigned when associated to a window

Example:

"7c9e6679-7425-40de-944b-e07fc1f90ae7"

payment_transaction_id
string

Payment transaction ID (for refunds, the parent payment transaction ID)

Example:

"7c9e6679-7425-40de-944b-e07fc1f90ae7"

fees
object[]

Array of fee objects with fee type and amount in minor units